// 获取当前活动文档
var doc = app.activeDocument;

// 获取当前选择的图层
var selectedLayer = doc.activeLayer;

// 定义变量v来存储图层类型
var v;

// 定义开关变量
var executeTextLayerCode = true;      // 开关1：文本图层代码
var executeSolidFillLayerCode = true; // 开关2：填充图层代码
var executeNormalLayerCode = true;    // 开关3：普通图层代码
var executeSmartObjectLayerCode = true; // 开关4：智能对象图层代码

// 判断图层类型并执行相应的代码
if (selectedLayer.kind == LayerKind.TEXT) {
    v = "文本图层";
    if (executeTextLayerCode) {
        // 代码1：处理文本图层的代码
        // 在这里填入你要执行的代码
    }
} else if (selectedLayer.kind == LayerKind.SOLIDFILL) {
    v = "填充图层";
    if (executeSolidFillLayerCode) {
        // 代码2：处理填充图层的代码
        // 在这里填入你要执行的代码
    }
} else if (selectedLayer.kind == LayerKind.NORMAL) {
    v = "普通图层";
    if (executeNormalLayerCode) {
        // 代码3：处理普通图层的代码
        // 在这里填入你要执行的代码
    }
} else if (selectedLayer.kind == LayerKind.SMARTOBJECT) {
    v = "智能对象图层";
    if (executeSmartObjectLayerCode) {
        // 代码4：处理智能对象图层的代码
        // 在这里填入你要执行的代码
    }
} else {
    v = "未知类型";
    // 保持原状，无需执行额外代码
}

// 输出结果到控制台
$.writeln("当前选择的图层类型是：" + v);
v;
